Wizi LOGO
Home | Terms | Help | Newsletter

BlackBerry LOGOBlackBerry

Attention: you need to run BlackBerry OS 4.5 or superior in order to install Wizi SMS Location. Our service could not detect this device as a BlackBerry or could not detect the version of you Operating System.

If you are accessing using a BlackBerry, please choose the appropriate version:

Android LOGO Wizi Location Super App
  Operating System 6.0 or superior
  Operating System 5.0 or superior
  Operating System 4.7 or superior
  Operating System 4.5 or superior

* You can check the version of your Operating System by selecting "About..." in the"Options" menu of yourBlackBerry.